SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `uoc_tfc`
--

CREATE DATABASE `uoc_tfc` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `c_id` int(11) NOT NULL AUTO_INCREMENT,
  `c_group` int(11) NOT NULL,
  `c_description` varchar(100) NOT NULL,
  PRIMARY KEY (`c_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `ch_id` int(11) NOT NULL AUTO_INCREMENT,
  `ch_group` int(11) NOT NULL,
  `ch_category` int(11) NOT NULL,
  `ch_user` int(11) NOT NULL,
  `ch_datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`ch_id`),
  KEY `ch_user` (`ch_user`),
  KEY `ch_category` (`ch_category`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=80 ;


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `chat_messages`
--

CREATE TABLE IF NOT EXISTS `chat_messages` (
  `chm_id` int(11) NOT NULL AUTO_INCREMENT,
  `chm_chat` int(11) NOT NULL,
  `chm_user` int(11) NOT NULL,
  `chm_datetime` datetime DEFAULT NULL,
  `chm_text` text CHARACTER SET utf8,
  PRIMARY KEY (`chm_id`),
  KEY `chm_chat` (`chm_chat`),
  KEY `chm_user` (`chm_user`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=283 ;


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `chat_require`
--

CREATE TABLE IF NOT EXISTS `chat_require` (
  `chr_id` int(11) NOT NULL AUTO_INCREMENT,
  `chr_chat` int(11) NOT NULL,
  `chr_user` int(11) NOT NULL,
  PRIMARY KEY (`chr_id`),
  KEY `chr_chat` (`chr_chat`),
  KEY `chr_user` (`chr_user`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=185 ;

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `chat_users`
--

CREATE TABLE IF NOT EXISTS `chat_users` (
  `chu_id` int(11) NOT NULL AUTO_INCREMENT,
  `chu_chat` int(11) NOT NULL,
  `chu_user` int(11) NOT NULL,
  PRIMARY KEY (`chu_id`),
  KEY `chu_chat` (`chu_chat`),
  KEY `chu_user` (`chu_user`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=178 ;


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `contact`
--

CREATE TABLE IF NOT EXISTS `contact` (
  `co_id` int(11) NOT NULL AUTO_INCREMENT,
  `co_login` varchar(100) DEFAULT NULL,
  `co_subject` varchar(200) DEFAULT NULL,
  `co_message` varchar(500) DEFAULT NULL,
  `co_datetime` datetime DEFAULT NULL,
  PRIMARY KEY (`co_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `groups`
--

CREATE TABLE IF NOT EXISTS `groups` (
  `g_id` int(11) NOT NULL AUTO_INCREMENT,
  `g_description` varchar(100) NOT NULL,
  PRIMARY KEY (`g_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=29 ;


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `u_id` int(11) NOT NULL AUTO_INCREMENT,
  `u_level` int(11) DEFAULT '3',
  `u_login` varchar(50) NOT NULL,
  `u_password` varchar(50) DEFAULT NULL,
  `u_state` smallint(6) NOT NULL DEFAULT '0',
  `u_comments` varchar(140) DEFAULT NULL,
  `u_name` varchar(50) DEFAULT NULL,
  `u_surname` varchar(150) DEFAULT NULL,
  `u_mail` varchar(150) DEFAULT NULL,
  `u_phone` varchar(20) DEFAULT NULL,
  `u_lastmov` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP,
  PRIMARY KEY (`u_id`),
  UNIQUE KEY `u_LOGIN` (`u_login`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=14 ;


-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `user_group`
--

CREATE TABLE IF NOT EXISTS `user_group` (
  `ug_id` int(11) NOT NULL AUTO_INCREMENT,
  `ug_user` int(11) NOT NULL,
  `ug_group` int(11) NOT NULL,
  `ug_level` int(11) DEFAULT '3',
  PRIMARY KEY (`ug_id`),
  KEY `ug_user` (`ug_user`),
  KEY `ug_group` (`ug_group`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=40 ;


/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
