<?php
	session_start();
	if(!isset($_SESSION['u_id']))
	{
		//Mostrar sesion expirada
		header('location: /sesion_expired.php'); 
	}
	
	/* Archivo con las funciones php */
	include_once("scripts/functions.php");

	/* Incluir clase idioma */
	IncludeLang('inc');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_GroupUsers) ?></title>
<link href="css/styles.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script type="text/javascript" src="SpryAssets/SpryMenuBar.js"></script>
<script type="text/javascript" src="js/functions.js"></script>

<!-- Javascript externo de tabla -->
<link href="tablecloth/tablecloth.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript" src="tablecloth/tablecloth.js"></script>
  
<script>	
	// Cargar listado grupos.
	function LoadListGroupUsers(){
		var vGrupo = <?php echo($_GET['group_id']) ?>;
		
		jQuery.ajax({
			type: "POST", 
			url: "scripts/groups_users/refresh_groupuserlist.php",
			data: 'group_id='+vGrupo,
			success: function(a) {
				jQuery('#TableGroupUsers').html(a);
			}
		});
	}
	
	// Quita la selección de todos los checkbox de la tabla y selecciona el actual.
	function SelectCheckbox(pId){
		vChecked = document.getElementById(pId).checked;		
		
		if (vChecked) {
			$("#TableGroupUsers tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){
						vCheck = document.getElementById('checkbox'+index);
						if (vCheck.type == 'checkbox'){					
							vCheck.checked = false;
						}
					}
				});
			});
			
			document.getElementById(pId).checked = true;
		}
	}
	
	$(document).ready(function(){
   		//código a ejecutar cuando el DOM está listo para recibir instrucciones.
		
		LoadListGroupUsers();		
		
				
		// Buscar usuario.
		$("#groupuser_list_bottom_buttonSearch").click(function() {
			var vLogin = document.getElementById('UserSearch').value;
			
			jQuery.ajax({
			type: "GET", 
			url: "scripts/user_from_login.php",
			data: 'login='+vLogin,
			success: function(a) {
				jQuery('#ResultSearchUser').html(a);
				}
			})
		});
		
		// Crear asignación.
		$("#groupuser_list_bottom_buttonAssign").click(function() {
			var vGrupo = <?php echo($_GET['group_id']) ?>;
			
			var vLogin = document.getElementById('UserSearch').value;
			if (vLogin == ''){
				jQuery('#TextError').html("<?php echo(GROUPUSER_ErrEmptyLogin) ?>");
				return false;	
			}			
			
			jQuery.ajax({
			type: "POST", 
			url: "scripts/groups_users/groupuser_edit.php?action=add",
			data: 'group_id='+vGrupo+'&login='+vLogin,
			success: function(a) {
				jQuery('#TextError').html(a);
				}
			})
			
			LoadListGroupUsers();
		});
		
		// Eliminar asignación.
		$("#groupuser_list_bottom_buttonDelete").click(function() {			
			$("#TableGroupUsers tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){		
						var checkeado=$('#checkbox'+index).attr("checked");
						if(checkeado) {
							var vIdUsuario = $('#checkbox'+index).attr("value");
							var vGrupo = <?php echo($_GET['group_id']) ?>;
							var Delete = confirm('<?php echo(GROUPUSER_MsgDelete) ?>');
							if(Delete){
								jQuery.ajax({
								type: "POST", 
								url: "scripts/groups_users/groupuser_edit.php?action=delete",
								data: 'group_id='+vGrupo+'&user_id='+vIdUsuario,
								success: function(a) {
									jQuery('#TextError').html(a);
									}
								});
								
								LoadListGroupUsers();
							}
							
						}
					}                        
				}) 
			})
		})
	});	
</script>

</head>

<body>
	<div id="iFrame_Container">
    	<div id="groupuser_list">
        	<div class="groupuser_list_client">
                <table id="TableGroupUsers" border="1px solid #000">
                    <tr id="TableGroupUsers0" style="font-weight:bold">
                    	<td width="20px">&nbsp;</td>
                        <td width="100px"><?php echo(USER_Login) ?></td>
                        <td width="100px"><?php echo(USER_Name) ?></td>
						<td width="100px"><?php echo(USER_Surname) ?></td>
						<td width="230px"><?php echo(USER_Mail) ?></td>
                    </tr>
                </table>
            </div>
            <div class="groupuser_list_bottom">
            	<form id="groupuser_list_bottom_form" onsubmit="return false">
                <p>
                	<input class="groupuser_list_bottom_buttonRefresh" name="groupuser_list_bottom_buttonRefresh" id="groupuser_list_bottom_buttonRefresh" type="button" value="<?php echo(GEN_Refresh) ?>" onclick="LoadListGroupUsers();"/>
                    <input class="groupuser_list_bottom_buttonDelete" name="groupuser_list_bottom_buttonDelete" id="groupuser_list_bottom_buttonDelete" type="button" value="<?php echo(GROUPUSER_DeleteAssign) ?>"/>
                </p>
                <p>                 
                <?php echo(GROUPUSER_SearchLogin) ?>
                	<input id="UserSearch" name="UserSearch" type="text" />
               	    <input name="groupuser_list_bottom_buttonSearch" id="groupuser_list_bottom_buttonSearch" type="button" value="<?php echo(GEN_Search) ?>"/>
                    <input name="groupuser_list_bottom_buttonAssign" id="groupuser_list_bottom_buttonAssign" type="button" value="<?php echo(GROUPUSER_Assign) ?>"/>                    
                </p>
				</form>
                <p><div id="ResultSearchUser">&nbsp;</div><div id="TextError"></div></p> 
			</div>
        </div>
	</div>
</body>

</html>