<?php
	session_start();
	if(!isset($_SESSION['u_id']))
	{
		//Mostrar sesion expirada
		header('location: /sesion_expired.php'); 
	}
	
	/* Archivo con las funciones php */
	include_once("scripts/functions.php");

	/* Incluir clase idioma */
	IncludeLang('inc');
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo($_SESSION['u_lang']) ?>">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo(MAIN_Users) ?></title>
<link href="css/styles.css" rel="stylesheet" type="text/css" />

<script type="text/javascript" src="js/jquery-1.7.1.min.js"></script>
<script src="SpryAssets/SpryMenuBar.js" type="text/javascript"></script>
<script src="js/functions.js" type="text/javascript"></script>

<!-- Javascript externo de tabla -->
<link href="tablecloth/tablecloth.css" rel="stylesheet" type="text/css" media="screen" />
<script type="text/javascript" src="tablecloth/tablecloth.js"></script>
  
<script>	
	// Cargar listado usuarios.
	function LoadListUsers(vStr){
		var vLogin = (vStr) ? vStr : '';
		jQuery.ajax({
			type: "POST", 
			url: "scripts/users/refresh_userlist.php?filter="+vLogin,
			success: function(a) {
				jQuery('#TableUsers').html(a);
			}
		});
	}
	
	// Quita la selección de todos los checkbox de la tabla y selecciona el actual.
	function SelectCheckbox(pId){
		vChecked = document.getElementById(pId).checked;		
		
		if (vChecked) {
			$("#TableUsers tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){
						vCheck = document.getElementById('checkbox'+index);
						if (vCheck.type == 'checkbox'){					
							vCheck.checked = false;
						}
					}
				});
			});
			
			document.getElementById(pId).checked = true;
		}
	}
	
	$(document).ready(function(){
   		//código a ejecutar cuando el DOM está listo para recibir instrucciones.
		
		LoadListUsers();
		
		// Modificar usuario
		$("#user_list_bottom_buttonModify").click(function() {			
			$("#TableUsers tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){		
						var checkeado=$('#checkbox'+index).attr("checked");
						if(checkeado) {
							var vIdUser = $('#checkbox'+index).attr("value");
							jQuery.ajax({
								type: "POST", 
								url: "scripts/users/user_modify.php?id="+vIdUser,
								success: function(a) {
									jQuery('#user_list').html(a);
								}
							});
						}
					}                        
				}) 
			})
		});
		
		// Crear usuario
		$("#user_list_bottom_buttonCreate").click(function() {
			jQuery.ajax({
				type: "POST", 
				url: "scripts/users/user_add.php",
				success: function(a) {
					jQuery('#user_list').html(a);
				}
			});
		});
		
		// Filtrar usuario
		$("#user_list_bottom_buttonFilter").click(function() {
			LoadListUsers(document.getElementById('UserFilter').value);
		});
		
		// Borrar usuario. Sólo permitido si no tiene conversas generadas.
		$("#user_list_bottom_buttonDelete").click(function() {			
			$("#TableUsers tbody tr").each(function (index) {
				$(this).children("td").each(function (index2) {					
					if (index2 == 0){		
						var checkeado=$('#checkbox'+index).attr("checked");
						if(checkeado) {
							var vIdUser = $('#checkbox'+index).attr("value");
							var Delete = confirm('<?php echo(USER_MsgDelete) ?>');
							if(Delete){
								jQuery.ajax({
								type: "POST", 
								url: "scripts/users/user_delete.php?id="+vIdUser,
								success: function(a) {
									jQuery('#TextError').html(a);
									},
								error: function(a) {
									jQuery('#TextError').html(a);
									}
								});
								
								LoadListUsers();
							}
							
						}
					}                        
				}) 
			})
		})
	});	
</script>

</head>

<body>
	<div id="iFrame_Container">
    	<div id="user_list">
        	<div class="user_list_client">
                <table id="TableUsers" border="1px solid #000">
                    <tr id="TableUsers0" style="font-weight:bold">
                    	<td width="20px">&nbsp;</td>
                        <td width="100px"><?php echo(USER_Login) ?></td>
                        <td width="100px"><?php echo(USER_Name) ?></td>
						<td width="100px"><?php echo(USER_Surname) ?></td>
						<td width="230px"><?php echo(USER_Mail) ?></td>
						<td width="70px"><?php echo(USER_Level) ?></td>
                    </tr>
                </table>
            </div>
            <div class="user_list_bottom">
            	<form id="user_list_bottom_form" onsubmit="return false">
                <p>
                	<input class="user_list_bottom_buttonRefresh" name="user_list_bottom_buttonRefresh" id="user_list_bottom_buttonRefresh" type="button" value="<?php echo(GEN_Refresh) ?>" onclick="LoadListUsers();"/>
                    <input class="user_list_bottom_buttonCreate" name="user_list_bottom_buttonCreate" id="user_list_bottom_buttonCreate" type="button" value="<?php echo(GEN_Create) ?>"/>
					<input class="user_list_bottom_buttonModify" name="user_list_bottom_buttonModify" id="user_list_bottom_buttonModify" type="button" value="<?php echo(GEN_Modify) ?>"/>
                    <input class="user_list_bottom_buttonDelete" name="user_list_bottom_buttonDelete" id="user_list_bottom_buttonDelete" type="button" value="<?php echo(GEN_Delete) ?>"/>
                 &nbsp;&nbsp;&nbsp;
                <?php echo(USER_FilterLogin) ?>
                	<input id="UserFilter" name="UserFilter" type="text" />
               	  <input name="user_list_bottom_buttonFilter" id="user_list_bottom_buttonFilter" type="button" value="<?php echo(GEN_Filter) ?>"/>
                </p>
				</form>
                <p><div id="TextError"></div></p> 
			</div>
        </div>
	</div>
</body>

</html>